
-- Create the frame for the options panel
function Setup_RR_Panel()
 RaidRoll_Panel = {};
 RaidRoll_Panel.panel = CreateFrame( "Frame", "Raid Roll Panel", UIParent );
 -- Register in the Interface Addon Options GUI
 -- Set the name for the Category for the Options Panel
 RaidRoll_Panel.panel.name = "Raid Roll";
 -- Add the panel to the Interface Options
 InterfaceOptions_AddCategory(RaidRoll_Panel.panel);
 
 local x,y = 30,-120
 
 
	
	Raid_Roll_PanelName_String =  RaidRoll_Panel.panel:CreateFontString("Raid_Roll_PanelName_String" ,"ARTWORK","GameFontNormal");
	Raid_Roll_PanelName_String:SetPoint("TopLeft", RaidRoll_Panel.panel, "TopLeft", 20, -10)
	Raid_Roll_PanelName_String:SetJustifyH("LEFT")
	
	Raid_Roll_PanelName_String:SetText(LOCALE_RR_OPTIONSTITLE)
	Raid_Roll_PanelName_String:SetFont("Fonts\\FRIZQT__.TTF", 16)

 
  	RR_RollCheckBox_Unannounced_panel = CreateFrame("CheckButton", "RR_RollCheckBox_Unannounced_panel", RaidRoll_Panel.panel, "UICheckButtonTemplate")
	RR_RollCheckBox_Unannounced_panel:SetWidth(20)
	RR_RollCheckBox_Unannounced_panel:SetHeight(20)
	RR_RollCheckBox_Unannounced_panel:SetPoint("TopLeft", RaidRoll_Panel.panel, "TopLeft", x+0, y+80)
	getglobal("RR_RollCheckBox_Unannounced_panel".."Text"):SetText("|cFFFFFFFF" .. LOCALE_RR_Catch_Unannounced_Rolls)
	getglobal("RR_RollCheckBox_Unannounced_panel".."Text"):SetFont("Fonts\\FRIZQT__.TTF", 12)
	RR_RollCheckBox_Unannounced_panel:SetScript("OnClick",RaidRoll_CheckButton_Update_Panel)

	RR_RollCheckBox_AllRolls_panel = CreateFrame("CheckButton", "RR_RollCheckBox_AllRolls_panel", RaidRoll_Panel.panel, "UICheckButtonTemplate")
	RR_RollCheckBox_AllRolls_panel:SetWidth(20)
	RR_RollCheckBox_AllRolls_panel:SetHeight(20)
	RR_RollCheckBox_AllRolls_panel:SetPoint("TopLeft", RaidRoll_Panel.panel, "TopLeft", x+0, y+60)
	getglobal("RR_RollCheckBox_AllRolls_panel".."Text"):SetText("|cFFFFFFFF" .. LOCALE_RR_Allow_all_rolls)
	getglobal("RR_RollCheckBox_AllRolls_panel".."Text"):SetFont("Fonts\\FRIZQT__.TTF", 12)
	RR_RollCheckBox_AllRolls_panel:SetScript("OnClick",RaidRoll_CheckButton_Update_Panel)
 
 	RR_RollCheckBox_ExtraRolls_panel = CreateFrame("CheckButton", "RaidRollCheckBox_ExtraRolls_panel", RaidRoll_Panel.panel, "UICheckButtonTemplate")
	RR_RollCheckBox_ExtraRolls_panel:SetWidth(20)
	RR_RollCheckBox_ExtraRolls_panel:SetHeight(20)
	RR_RollCheckBox_ExtraRolls_panel:SetPoint("TopLeft", RaidRoll_Panel.panel, "TopLeft", x+0, y+40)
	getglobal("RaidRollCheckBox_ExtraRolls_panel".."Text"):SetText("|cFFFFFFFF" .. LOCALE_RR_Allow_Extra_Rolls)
	getglobal("RaidRollCheckBox_ExtraRolls_panel".."Text"):SetFont("Fonts\\FRIZQT__.TTF", 12)
	RR_RollCheckBox_ExtraRolls_panel:SetScript("OnClick",RaidRoll_CheckButton_Update_Panel)

	RR_RollCheckBox_ShowRanks_panel = CreateFrame("CheckButton", "RaidRollCheckBox_ShowRanks_panel", RaidRoll_Panel.panel, "UICheckButtonTemplate")
	RR_RollCheckBox_ShowRanks_panel:SetWidth(20)
	RR_RollCheckBox_ShowRanks_panel:SetHeight(20)
	RR_RollCheckBox_ShowRanks_panel:SetPoint("TopLeft", RaidRoll_Panel.panel, "TopLeft", x+0, y+20)
	getglobal("RaidRollCheckBox_ShowRanks_panel".."Text"):SetText("|cFFFFFFFF" .. LOCALE_RR_Show_Rank_Beside_Name)
	getglobal("RaidRollCheckBox_ShowRanks_panel".."Text"):SetFont("Fonts\\FRIZQT__.TTF", 12)
	RR_RollCheckBox_ShowRanks_panel:SetScript("OnClick",RaidRoll_CheckButton_Update_Panel)

	RR_RollCheckBox_RankPrio_panel = CreateFrame("CheckButton", "RaidRollCheckBox_RankPrio_panel", RaidRoll_Panel.panel, "UICheckButtonTemplate")
	RR_RollCheckBox_RankPrio_panel:SetWidth(20)
	RR_RollCheckBox_RankPrio_panel:SetHeight(20)
	RR_RollCheckBox_RankPrio_panel:SetPoint("TopLeft", RaidRoll_Panel.panel, "TopLeft", x+0, y+0)
	getglobal("RaidRollCheckBox_RankPrio_panel".."Text"):SetText("|cFFFFFFFF" .. LOCALE_RR_Give_Higher_Ranks_Priority)
	getglobal("RaidRollCheckBox_RankPrio_panel".."Text"):SetFont("Fonts\\FRIZQT__.TTF", 12)
	RR_RollCheckBox_RankPrio_panel:SetScript("OnClick",RaidRoll_CheckButton_Update_Panel)
 
 
 
end

-- Called to update the options panel checkboxes
function RaidRoll_CheckButton_Update_Panel()

--RaidRoll_Allow_All:SetChecked(true);
	if  RR_RollCheckBox_Unannounced_panel:GetChecked() then
		RR_Track_Unannounced_Rolls =  true
		RaidRoll_Catch_All:SetChecked(true)
		RR_RollCheckBox_Unannounced_panel:SetChecked(true)
		--ChatFrame1:AddMessage("Raid Roll: Auto-Tracking Rolls Enabled")
	else
		RR_Track_Unannounced_Rolls =  false
		RaidRoll_Catch_All:SetChecked(false)
		RR_RollCheckBox_Unannounced_panel:SetChecked(false)
		--ChatFrame1:AddMessage("Raid Roll: Auto-Tracking Rolls Disabled")
	end

	if  RR_RollCheckBox_AllRolls_panel:GetChecked() then
		RR_Accept_All_Rolls =  true
		RaidRoll_Allow_All:SetChecked(true)
		RR_RollCheckBox_AllRolls_panel:SetChecked(true)
		--ChatFrame1:AddMessage("Raid Roll: All rolls accepted")
	else
		RR_Accept_All_Rolls =  false
		RaidRoll_Allow_All:SetChecked(false)
		RR_RollCheckBox_AllRolls_panel:SetChecked(false)
		--ChatFrame1:AddMessage("Raid Roll: Only 1-100 rolls accepted")
	end
	
	if RR_RollCheckBox_ExtraRolls_panel:GetChecked() then
		RR_AllowExtraRolls =  true
		RR_RollCheckBox_ExtraRolls:SetChecked(true)
		RR_RollCheckBox_ExtraRolls_panel:SetChecked(true)
		--ChatFrame1:AddMessage("Raid Roll: All rolls accepted")
	else
		RR_AllowExtraRolls =  false
		RR_RollCheckBox_ExtraRolls:SetChecked(false)
		RR_RollCheckBox_ExtraRolls_panel:SetChecked(false)
		--ChatFrame1:AddMessage("Raid Roll: Only 1-100 rolls accepted")
	end

	if  RR_RollCheckBox_ShowRanks_panel:GetChecked() then
		RR_Show_Ranks =  true
		RR_RollCheckBox_ShowRanks:SetChecked(true)
		RR_RollCheckBox_ShowRanks_panel:SetChecked(true)
		for i=1,6 do
			getglobal("Raid_Roll_Rank_String"..i-1):Show()
		end
		RR_RollFrame:SetWidth(265+RR_ExtraWidth)
		getglobal("RR_Rolled"):ClearAllPoints()
		getglobal("RR_Rolled"):SetPoint("TOPLEFT", getglobal("RR_RollFrame"), "TOPLEFT",170+RR_ExtraWidth,-30)
		
		getglobal("RR_Group"):ClearAllPoints()
		getglobal("RR_Group"):SetPoint("TOPLEFT", getglobal("RR_RollFrame"), "TOPLEFT",220+RR_ExtraWidth,-30)
	else
		RR_Show_Ranks =  false
		RR_RollCheckBox_ShowRanks:SetChecked(false)
		RR_RollCheckBox_ShowRanks_panel:SetChecked(false)
		for i=1,6 do
			getglobal("Raid_Roll_Rank_String"..i-1):Hide()
		end
		RR_RollFrame:SetWidth(215+RR_ExtraWidth)
		getglobal("RR_Rolled"):ClearAllPoints()
		getglobal("RR_Rolled"):SetPoint("TOPLEFT", getglobal("RR_RollFrame"), "TOPLEFT",120+RR_ExtraWidth,-30)
		
		getglobal("RR_Group"):ClearAllPoints()
		getglobal("RR_Group"):SetPoint("TOPLEFT", getglobal("RR_RollFrame"), "TOPLEFT",170+RR_ExtraWidth,-30)
		
	end

	
	
	if RR_RollCheckBox_RankPrio_panel:GetChecked() then
		RR_RankPriority =  true
		RR_RollCheckBox_RankPrio:SetChecked(true)
		RR_RollCheckBox_RankPrio_panel:SetChecked(true)
		--ChatFrame1:AddMessage("Raid Roll: All rolls accepted")
	else
		RR_RankPriority =  false
		RR_RollCheckBox_RankPrio:SetChecked(false)
		RR_RollCheckBox_RankPrio_panel:SetChecked(false)
		--ChatFrame1:AddMessage("Raid Roll: Only 1-100 rolls accepted")
	end
	
	rr_RollSort(rr_CurrentRollID)
	
	if RR_HasDisplayedAlready ~= nil then
		RR_Display(rr_CurrentRollID)
	end
	
	for i=1,5 do
		getglobal("Raid_Roll_Rank_String"..i):SetWidth(65+RR_ExtraWidth); 
	end
end
