
-- Setuo extra frame commands
function RR_ExtraFrame_Options()

  if RR_ExtraWidth == nil then RR_ExtraWidth = 0 end


	Raid_Roll_Name=CreateFrame("FRAME","Raid_Roll_Name",RR_RollFrame);
	Raid_Roll_Name:SetWidth(150); 
	Raid_Roll_Name:SetHeight(20);
	Raid_Roll_Name:SetPoint("TOPLEFT",RR_RollFrame,10, -5);
	
	Raid_Roll_Name_String = Raid_Roll_Name:CreateFontString("Raid_Roll_Name_String" ,"ARTWORK","GameFontNormal");
	Raid_Roll_Name_String:SetAllPoints();
	Raid_Roll_Name_String:SetJustifyH("LEFT")
	
	Raid_Roll_Name_String:SetText("Killerpet's Raid Roller")


--------------------------------------------------------------

	RR_BottomFrame = CreateFrame("Frame","RR_Frame",RR_RollFrame)

	local backdrop = {
	  bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",  -- path to the background texture
	  edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",  -- path to the border texture
	  
	  tile = true,    -- true to repeat the background texture to fill the frame, false to scale it
	  tileSize = 32,  -- size (width or height) of the square repeating background tiles (in pixels)
	  edgeSize = 20,  -- thickness of edge segments and square size of edge corners (in pixels)
	  insets = {    -- distance from the edges of the frame to those of the background texture (in pixels)
	    left = 4,
	    right = 4,
	    top = 4,
	    bottom = 4
	  }
	}


	RR_BottomFrame:SetBackdrop(backdrop)

	RR_BottomFrame:SetFrameStrata("MEDIUM")
	RR_BottomFrame:SetWidth(180) -- Set these to whatever height/width is needed 
	RR_BottomFrame:SetHeight(95) -- for your Texture
	RR_BottomFrame:SetPoint("Top",RR_RollFrame,"Bottom",0,6);

	RR_BottomFrame:EnableMouse(true)
	RR_BottomFrame:SetScript("OnMouseDown",function()
	  getglobal("RR_RollFrame"):StartMoving()
	end)
	RR_BottomFrame:SetScript("OnMouseUp",function()
	  getglobal("RR_RollFrame"):StopMovingOrSizing()
	end)


--------------------------------------------------------------
-- Hide the options frame
--------------------------------------------------------------
	RR_BottomFrame:Hide()
	getglobal("RaidRoll_Catch_All"):Hide()
	getglobal("RaidRoll_Allow_All"):Hide()
--------------------------------------------------------------


--------------------------------------------------------------
-- Set the backdrops for the other frames
--------------------------------------------------------------
	RR_NAME_FRAME:SetBackdrop(backdrop)
	getglobal("RR_RollFrame"):SetBackdrop(backdrop)
--------------------------------------------------------------


--RR_RollFrame:Show()


-- Change the height of the main screen
	RR_RollFrame:SetHeight(135)
	RR_RollFrame:SetWidth(215+RR_ExtraWidth)
	RR_RollFrame:SetFrameStrata("MEDIUM")

-- Change the position of the rolled and group values
	getglobal("RR_Rolled"):ClearAllPoints()
	getglobal("RR_Rolled"):SetPoint("TOPLEFT", getglobal("RR_RollFrame"), "TOPLEFT",170+RR_ExtraWidth,-30)
		
	getglobal("RR_Group"):ClearAllPoints()
	getglobal("RR_Group"):SetPoint("TOPLEFT", getglobal("RR_RollFrame"), "TOPLEFT",200+RR_ExtraWidth,-30)


-- Create 5 strings and a header for the guild ranks
	Raid_Roll_Rank=CreateFrame("FRAME","Raid_Roll_Rank",RR_RollFrame);
	Raid_Roll_Rank:SetWidth(70); 
	Raid_Roll_Rank:SetHeight(15);
	Raid_Roll_Rank:SetPoint("TOPLEFT",RR_RollFrame,105, -30);
	
	Raid_Roll_Rank_String = Raid_Roll_Rank:CreateFontString("Raid_Roll_Rank_String"..0 ,"ARTWORK","GameFontNormal");
	Raid_Roll_Rank_String:SetAllPoints();
	Raid_Roll_Rank_String:SetJustifyH("left")
	
	Raid_Roll_Rank_String:SetText("Rank")
	
	for i=1,5 do
		Raid_Roll_Rank_String_i = Raid_Roll_Rank:CreateFontString("Raid_Roll_Rank_String"..i ,"ARTWORK","GameFontNormal");
		Raid_Roll_Rank_String_i:SetPoint("TOPLEFT",getglobal("Raid_Roll_Rank_String"..i-1),0, -12);
		Raid_Roll_Rank_String_i:SetJustifyH("LEFT")
		Raid_Roll_Rank_String_i:SetWidth(65+RR_ExtraWidth); 
		Raid_Roll_Rank_String_i:SetHeight(11); 
		
		
		Raid_Roll_Rank_String_i:SetText("Rank "..i)
	end



	getglobal("RR_Close_Button"):ClearAllPoints()
	getglobal("RR_Close_Button"):SetWidth(30)
	getglobal("RR_Close_Button"):SetHeight(30)
	getglobal("RR_Close_Button"):SetPoint("TopRight", getglobal("RR_RollFrame"), "TopRight",0,0)

	getglobal("RR_Last"):ClearAllPoints()
	getglobal("RR_Last"):SetPoint("Bottom", getglobal("RR_RollFrame"), "Bottom",-60,10)
	getglobal("RR_Last"):SetText("<<<")
	
	getglobal("RR_Clear"):ClearAllPoints()
	getglobal("RR_Clear"):SetPoint("Bottom", getglobal("RR_RollFrame"), "Bottom",-10,10)
	getglobal("RR_Clear"):SetText(LOCALE_RR_Clear)	

	getglobal("RR_Next"):ClearAllPoints()
	getglobal("RR_Next"):SetPoint("Bottom", getglobal("RR_RollFrame"), "Bottom",40,10)
	getglobal("RR_Next"):SetText(">>>")
	
	getglobal("RaidRoll_Catch_All"):ClearAllPoints()
	getglobal("RaidRoll_Catch_All"):SetPoint("BottomLeft", RR_BottomFrame, "BottomLeft",10,70)
	getglobal("RaidRoll_Catch_All".."Text"):SetText(LOCALE_RR_Catch_Unannounced_Rolls)

	getglobal("RaidRoll_Allow_All"):ClearAllPoints()
	getglobal("RaidRoll_Allow_All"):SetPoint("BottomLeft", RR_BottomFrame, "BottomLeft",10,55)
	getglobal("RaidRoll_Allow_All".."Text"):SetText(LOCALE_RR_Allow_all_rolls)

	RR_Roll_Options = CreateFrame("Button", "RaidRoll_OptionButton", RR_RollFrame, "UIPanelButtonTemplate")
	RR_Roll_Options:SetWidth(18)
	RR_Roll_Options:SetHeight(18)
	RR_Roll_Options:SetPoint("Bottom", RR_RollFrame, "Bottom", 74, 11)
	RR_Roll_Options:SetText("v")
	RR_Roll_Options:SetScript("OnClick",RR_Roll_Options_Toggle)

	RR_RollCheckBox_ExtraRolls = CreateFrame("CheckButton", "RaidRollCheckBox_ExtraRolls", RR_BottomFrame, "UICheckButtonTemplate")
	RR_RollCheckBox_ExtraRolls:SetWidth(20)
	RR_RollCheckBox_ExtraRolls:SetHeight(20)
	RR_RollCheckBox_ExtraRolls:SetPoint("BottomLeft", RR_BottomFrame, "BottomLeft", 10, 40)
	getglobal("RaidRollCheckBox_ExtraRolls".."Text"):SetText(LOCALE_RR_Allow_Extra_Rolls)
	RR_RollCheckBox_ExtraRolls:SetScript("OnClick",RaidRoll_CheckButton_Update)

	RR_RollCheckBox_ShowRanks = CreateFrame("CheckButton", "RaidRollCheckBox_ShowRanks", RR_BottomFrame, "UICheckButtonTemplate")
	RR_RollCheckBox_ShowRanks:SetWidth(20)
	RR_RollCheckBox_ShowRanks:SetHeight(20)
	RR_RollCheckBox_ShowRanks:SetPoint("BottomLeft", RR_BottomFrame, "BottomLeft", 10, 25)
	getglobal("RaidRollCheckBox_ShowRanks".."Text"):SetText(LOCALE_RR_Show_Rank_Beside_Name)
	RR_RollCheckBox_ShowRanks:SetScript("OnClick",RaidRoll_CheckButton_Update)

	RR_RollCheckBox_RankPrio = CreateFrame("CheckButton", "RaidRollCheckBox_RankPrio", RR_BottomFrame, "UICheckButtonTemplate")
	RR_RollCheckBox_RankPrio:SetWidth(20)
	RR_RollCheckBox_RankPrio:SetHeight(20)
	RR_RollCheckBox_RankPrio:SetPoint("BottomLeft", RR_BottomFrame, "BottomLeft", 10, 10)
	getglobal("RaidRollCheckBox_RankPrio".."Text"):SetText(LOCALE_RR_Give_Higher_Ranks_Priority)
	RR_RollCheckBox_RankPrio:SetScript("OnClick",RaidRoll_CheckButton_Update)


	
-- RESET the position of the frame to the center of the screen
	--getglobal("RR_RollFrame"):ClearAllPoints(); getglobal("RR_RollFrame"):SetPoint("CENTER", UIParent, "CENTER", 0, 0)
	
	
----------------------------------------------------

 RaidRoll_Slider = CreateFrame("Slider", "RaidRoll_Slider_ID", RR_RollFrame, "OptionsSliderTemplate")
 RaidRoll_Slider:SetWidth(10)
 RaidRoll_Slider:SetHeight(RR_RollFrame:GetHeight() - 40 )
 RaidRoll_Slider:SetPoint('TOPRIGHT', -5, -25)
 RaidRoll_Slider:SetOrientation('VERTICAL')
 

 getglobal(RaidRoll_Slider:GetName() .. 'Low'):SetText('');
 getglobal(RaidRoll_Slider:GetName() .. 'High'):SetText(''); 
 getglobal(RaidRoll_Slider:GetName() .. 'Text'):SetText('');


 RaidRoll_MaxNumber_Slider = 1

 
 RaidRoll_Slider:SetMinMaxValues(1, RaidRoll_MaxNumber_Slider)
 RaidRoll_Slider:SetValueStep(1)
 RaidRoll_Slider:SetValue(1)

 RaidRoll_Slider:Show()
 
 
  RaidRoll_Slider:SetScript("OnValueChanged",function()
	RaidRoll_Window_Scroll(0)
  end)
 
 ----------------------------------------------------
 
 -- This allows scrolling and passes arg1 (the direction of the scrolling [1 or -1] )
RR_RollFrame:EnableMouseWheel(1)
 RR_RollFrame:SetScript("OnMouseWheel",function()
  RaidRoll_Window_Scroll(arg1)
end)

	RR_Roll_Resize_Left = CreateFrame("Button", "RR_Roll_Resize_Left", RR_RollFrame)
	RR_Roll_Resize_Left:SetWidth(18)
	RR_Roll_Resize_Left:SetHeight(18)
	RR_Roll_Resize_Left:SetPoint("Bottomleft", RR_RollFrame, "Bottomleft", 0, 0)
	RR_Roll_Resize_Left:SetText("")
	RR_Roll_Resize_Left:SetScript("OnMouseDown",function()
											RR_RollFrame:StartSizing("BottomLeft")
											end)
	RR_Roll_Resize_Left:SetScript("OnMouseUp",function()
											RR_RollFrame:StopMovingOrSizing()
											end)
	RR_Roll_Resize_Left:SetBackdrop({bgFile = "Interface\\Addons\\Recount\\textures\\ResizeGripLeft"})

	-- Debugging, auto-show the frame
	if RaidRoll_DB["debug"] == true then RR_RollFrame:Show() end
	
	RR_RollFrame:SetResizable(true)

	RR_RollFrame:SetMinResize(215,135);
	RR_RollFrame:SetMaxResize(215,1000);
	

	
	RR_RollFrame:SetScale(1);

	
end


-- sets up the name frame
function RR_SetupNameFrame()

RR_NAME_FRAME = CreateFrame("Frame",nil,RR_RollFrame)

local backdrop = {
  --bgFile="Interface\DialogFrame\UI-DialogBox-Background",  -- path to the background texture
  --edgeFile="Interface\DialogFrame\UI-DialogBox-Border",  -- path to the border texture
  
  bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",  -- path to the background texture
  edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",  -- path to the border texture

  
  tile = true,    -- true to repeat the background texture to fill the frame, false to scale it
  tileSize = 32,  -- size (width or height) of the square repeating background tiles (in pixels)
  edgeSize = 20,  -- thickness of edge segments and square size of edge corners (in pixels)
  insets = {    -- distance from the edges of the frame to those of the background texture (in pixels)
    left = 2,
    right = 2,
    top = 2,
    bottom = 2
  }
}

RR_NAME_FRAME:SetBackdrop(backdrop)



RR_Itemname:SetParent(RR_NAME_FRAME)
RR_NAME_FRAME:SetFrameStrata("MEDIUM")
--RR_NAME_FRAME:SetWidth(128) -- Set these to whatever height/width is needed 
--RR_NAME_FRAME:SetWidth(128) -- Set these to whatever height/width is needed 
RR_NAME_FRAME:SetHeight(30) -- for your Texture

RR_NAME_FRAME:SetWidth(getglobal("RR_Itemname"):GetWidth() + 20)
	

RR_NAME_FRAME:SetPoint("BOTTOM", "RR_RollFrame", "TOP", 0, -8);

--RR_NAME_FRAME:Hide()

RR_NAME_FRAME:SetMovable(true)
RR_NAME_FRAME:EnableMouse(true)
RR_NAME_FRAME:SetScript("OnMouseDown",function()
  RR_RollFrame:StartMoving()
end)
RR_NAME_FRAME:SetScript("OnMouseUp",function()
  RR_RollFrame:StopMovingOrSizing()
end)




RR_Itemname:SetPoint("TOPLEFT",RR_NAME_FRAME,"TOPLEFT",11,-8)

end
